<template>
  <div>
    <div class="row align-items-center">
      <div class="col-md-12 text-left mb-3">
        <h2>Brand Logos</h2>
      </div>
      <div class="col-md-3" v-for="brandLogo in brandLogos" :key="brandLogo">
        <SvgLogo class="mb-3 mx-auto" :iconType="brandLogo" />
        <p class="text-center">{{ brandLogo }}</p>
      </div>
    </div>
    <div class="row align-items-center">
      <div class="col-md-12 text-left mb-3">
        <h2>Icons</h2>
      </div>
      <div class="col-md-3" v-for="icon in icons" :key="icon">
        <SvgIcon class="mx-auto icon-list" :iconType="icon" />
        <p class="text-center">{{ icon }}</p>
      </div>
    </div>

    <div class="row">
      <div class="col-md-12 text-left mb-3">
        <h2>Pills</h2>
      </div>
      <!-- Listado Logos -->
      <div
        class="col-3 d-flex flex-column justify-center"
        v-for="pill in pills"
        :key="pill"
      >
        <SvgPill class="mb-3 mx-auto" :iconType="pill" />
        <p class="text-center">{{ pill }}</p>
      </div>
    </div>
  </div>
</template>

<script>
import SvgIcon from "@/components/SvgIcon";
import SvgLogo from "@/components/SvgLogo";
import SvgPill from "@/components/SvgPill";

export default {
  components: {
    SvgIcon,
    SvgLogo,
    SvgPill,
  },
  data() {
    return {
      icons: [
        "icon_account_settings",
        "icon_add",
        "icon_add_fill",
        "icon_agents",
        "icon_alarma",
        "icon_analytics",
        "icon_arrow_back",
        "icon_arrow_course",
        "icon_arrow_down",
        "icon_arrow_drop_down",
        "icon_arrow_drop_up",
        "icon_arrow_forward",
        "icon_arrow_up",
        "icon_attention",
        "icon_bag",
        "icon_bell",
        "icon_bookmark",
        "icon_bookmark_outline",
        "icon_brujula",
        "icon_brujula_vacia",
        "icon_calendar",
        "icon_camera",
        "icon_car",
        "icon_car_battery",
        "icon_car_brakes",
        "icon_car_bujia",
        "icon_car_engine",
        "icon_car_fuel",
        "icon_car_oil",
        "icon_car_piston",
        "icon_car_speed",
        "icon_car_temp",
        "icon_car_tires",
        "icon_car_wifi",
        "icon_cards",
        "icon_cel_level_0",
        "icon_cel_level_1",
        "icon_cel_level_2",
        "icon_cel_level_3",
        "icon_cel_level_4",
        "icon_center",
        "icon_certified",
        "icon_checkmark",
        "icon_close",
        "icon_close_circle",
        "icon_consolidate",
        "icon_corporate",
        "icon_crane",
        "icon_crane_big",
        "icon_desktop",
        "icon_document",
        "icon_document_download",
        "icon_driver",
        "icon_drivers",
        "icon_edit_pen",
        "icon_ellipses",
        "icon_entidad_detail",
        "icon_envelope",
        "icon_eventos",
        "icon_expand_window",
        "icon_flecha_acc",
        "icon_flecha_acc_activa",
        "icon_fleet_management",
        "icon_geofences",
        "icon_hamburger_menu",
        "icon_help",
        "icon_history",
        "icon_home_panels",
        "icon_home",
        "icon_horarios",
        "icon_deactivate",
        "icon_info",
        "icon_key",
        "icon_label_fill",
        "icon_label_new",
        "icon_label_outline",
        "icon_launcher",
        "icon_layers",
        "icon_link",
        "icon_lists",
        "icon_livetracking",
        "icon_lock",
        "icon_lock_open",
        "icon_lock_view",
        "icon_logout",
        "icon_maps",
        "icon_menu_opener",
        "icon_mobile",
        "icon_motorcycle",
        "icon_new_user",
        "icon_notifications",
        "icon_pickup",
        "icon_places",
        "icon_question",
        "icon_reloj",
        "icon_reset",
        "icon_search",
        "icon_settings",
        "icon_share",
        "icon_start_point",
        "icon_switch_maps",
        "icon_toggle",
        "icon_trails",
        "icon_truck",
        "icon_unlink",
        "icon_user",
        "icon_user_settings",
        "icon_van",
        "icon_view_selector",
      ],
      brandLogos: [
        "FlotasIso",
        "LeapsightIso",
        "LeapsightIsologo",
        "MagentaIsoMonocrome",
        "MagentaIsologo",
        "MagentaLogoMWhite",
        "StrixLogo",
        "StrixSLogo",
      ],
      pills: [
        "pill_analytics",
        "pill_back_to_launcher",
        "pill_control_tower",
        "pill_crashboxx",
        "pill_fleet_mgnt",
        "pill_live_track",
        "pill_mapping",
        "pill_routing",
        "pill_shipments",
      ],
    };
  },
};
</script>
<style>
.svg-icon {
  width: 100px;
  height: auto;
}
.svg-icon.icon-list {
  color: teal;
}
.svg-icon.action_icon {
  width: 100px;
  height: auto;
  color: var(--v-secondary-base);
}
.svg-pill svg {
  width: 100px;
  height: auto;
}
</style>
